Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler:

## Public Member Functions
| validate (array $urls)
  | {Validates given list of URLs. Parameters
  \eZ\Publish\API\Repository\Values\URL\URL[] | $urls |
} More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\AbstractURLHandler
| __construct (URLService $urlService)
| setOptions (array $options=null)
  | {Set handler options. Parameters
  array | null | $options |
} More...

## Protected Member Functions
| getOptionsResolver ()
| {Returns options resolver. Returns \Symfony\Component\OptionsResolver\OptionsResolver } More...
Protected Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\AbstractURLHandler
| setUrlStatus (URL $url, $isValid)
| Sets URL status. More...

## Private Member Functions
| createCurlHandlerForUrl (URL $url, array &$handlers)
| Initialize and return a cURL session for given URL. More...
| doValidate (URL $url, $handler)
| Validate single response. More...
| isSuccessful ($statusCode)

## Additional Inherited Members
Protected Attributes inherited from eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\AbstractURLHandler
| $urlService
| $options

## Detailed Description

Definition at line 12 of file HTTPHandler.php.

## Member Function Documentation

## ◆ createCurlHandlerForUrl()

eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler::createCurlHandlerForUrl | ( | URL | $url,
|  | array & | $handlers
| ) |  |
| private

Initialize and return a cURL session for given URL.

Parameters

  URL | $url |
  array | $handlers |

Returns
  resource

Definition at line 90 of file HTTPHandler.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler\validate().

## ◆ doValidate()

eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler::doValidate | ( | URL | $url,
|  |  | $handler
| ) |  |
| private

Validate single response.

Parameters

  URL | $url |
  resource | $handler | CURL handler

Definition at line 122 of file HTTPHandler.php.

References eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler\isSuccessful(), and eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\AbstractURLHandler\setUrlStatus().

Referenced by eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler\validate().

## ◆ getOptionsResolver()

eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler::getOptionsResolver | ( |  | ) |
| protected

{Returns options resolver.

Returns
  \Symfony\Component\OptionsResolver\OptionsResolver

}

Reimplemented from eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\AbstractURLHandler.

Definition at line 62 of file HTTPHandler.php.

## ◆ isSuccessful()

eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler::isSuccessful | ( |  | $statusCode | ) |
| private

Definition at line 127 of file HTTPHandler.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler\doValidate().

## ◆ validate()

eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler::validate | ( | array | $urls | ) |

{Validates given list of URLs.

Parameters

  \eZ\Publish\API\Repository\Values\URL\URL[] | $urls |

}

Based on https://www.onlineaspect.com/2009/01/26/how-to-use-curl_multi-without-blocking/

Implements eZ\Bundle\EzPublishCoreBundle\URLChecker\URLHandlerInterface.

Definition at line 19 of file HTTPHandler.php.

References eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler\createCurlHandlerForUrl(), and eZ\Bundle\EzPublishCoreBundle\URLChecker\Handler\HTTPHandler\doValidate().

The documentation for this class was generated from the following file:

- HTTPHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.